%define name python-twisted-runner
%define version 12.2.0
%define rel 2
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        Runner has process management, including an inetd replacement for Twisted
Name:           %{name}
Version:        %{version}
Release:	%mkrel %{rel}
Source0:        http://twistedmatrix.com/Releases/Runner/%{mainver}/TwistedRunner-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedRunner
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  python-devel python-twisted-core
Requires:       python-twisted-core

%description
Runner has process management, including an inetd replacement for Twisted.

%prep
%setup -q -n TwistedRunner-%version

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%dir %py_platsitedir/twisted/runner
%py_platsitedir/twisted/runner/*
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 12.2.0-2.mga3
+ Revision: 379624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 12.2.0-1.mga3
+ Revision: 296382
- Update to 12.2.0

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga2
+ Revision: 171299
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 109984
- new version 11.0.0

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55777
- update to 10.2.0

* Sun Jan 23 2011 ennael <ennael> 10.1.0-2.mga1
+ Revision: 34711
- imported package python-twisted-runner

